/**
 * @file: index.
 * @intro: api请求索引.
 * @author: leaf.
 * @email: ypasdf@163.com.
 * @Date: 2018/5/8 15:31.
 * @Copyright(©) 2017 by leaf.
 *
 */
// 导入模块
import * as sysDict from './sys/dict'
import * as sysBanner from './sys/banner'
import * as sysUser from './sys/user'
import * as sysPiano from './sys/piano'
import * as sysPianoSubmit from './sys/pianoSubmit'
import * as sysUserCost from './sys/userCost'
import * as sysCourse from './sys/course'
import * as sysCourseType from './sys/courseType'
import * as sysBargain from './sys/bargain'
import * as sysBargainStage from './sys/bargainStage'
import * as sysCodeForPaino from './sys/code'
import * as sysCourseDiversity from './sys/courseDiversity'

const apiObj = {
  sysDict,
  sysBanner,
  sysUser,
  sysPiano,
  sysUserCost,
  sysCourse,
  sysCourseType,
  sysBargain,
  sysBargainStage,
  sysCodeForPaino,
  sysCourseDiversity,
  sysPianoSubmit
}

const install = function(Vue) {
  if (install.installed) return
  install.installed = true

  // 定义属性到Vue原型中
  Object.defineProperties(Vue.prototype, {
    $fetch: {
      get() {
        return apiObj
      }
    }
  })
}

export default {
  install
}
